<div>
  LHS: <input type="number" [(ngModel)]="lhs" (change)="compute()" [class.error]="lhs < 2" min="0" />
  RHS: <input type="number" [(ngModel)]="rhs" (change)="compute()" [class.error]="rhs < 2" min="0" />
  <button type="button" (click)="compute()">Compute</button>
</div>
